part of 'customer_exercise_device_bloc.dart';

abstract class CustomerExerciseDeviceEvent extends Equatable {
  const CustomerExerciseDeviceEvent();

  @override
  List<Object> get props => [];
}

class CustomerExerciseDeviceLoad extends CustomerExerciseDeviceEvent {
  const CustomerExerciseDeviceLoad();
}

class CustomerExerciseDeviceAdd extends CustomerExerciseDeviceEvent {
  final ExerciseDevice device;
  const CustomerExerciseDeviceAdd({required this.device});

  @override
  List<Object> get props => [device];
}

class CustomerExerciseDeviceRemove extends CustomerExerciseDeviceEvent {
  final ExerciseDevice device;
  const CustomerExerciseDeviceRemove({required this.device});

  @override
  List<Object> get props => [device];
}

class CustomerExerciseDeviceSave extends CustomerExerciseDeviceEvent {
  const CustomerExerciseDeviceSave();
}
